Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.providers
Class ReadOnlyDiagramPropertiesModifier

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.service.AbstractProvider
          org.eclipse.gmf.runtime.diagram.ui.properties.providers.ReadOnlyDiagramPropertiesModifier

All Implemented Interfaces:
  IProvider, IPropertiesModifier

    public class ReadOnlyDiagramPropertiesModifier

extends AbstractProvider
implements IPropertiesModifier

Install this properties provider for Browse Diagrams where the selected item must not be editable.

Constructor Summary
`ReadOnlyDiagramPropertiesModifier()`

Method Summary
`void` `apply(ICompositePropertySource propertySource)` Does not allow editing the property source by write protecting descriptors.
`boolean` `provides(IOperation operation)` Return true if the `DiagramPropertiesProvider` would return true for this operation and we are on a Browse Diagram.

Methods inherited from class org.eclipse.gmf.runtime.common.core.service.AbstractProvider
`addProviderChangeListener, fireProviderChange, removeProviderChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.core.service.IProvider
`addProviderChangeListener, removeProviderChangeListener`

Constructor Detail

### ReadOnlyDiagramPropertiesModifier

    public ReadOnlyDiagramPropertiesModifier()

Method Detail

### provides

    public boolean provides(IOperation operation)

  Return true if the `DiagramPropertiesProvider` would return true for this operation and we are on a Browse Diagram.

  Specified by:
    `provides` in interface `IProvider`
  Parameters:
    `operation` - IOperation that we will check if we provide for
  Returns:
    `true` if this provider provides the operation; `false` otherwise.

### apply

    public void apply(ICompositePropertySource propertySource)

  Does not allow editing the property source by write protecting descriptors. Sets the read-only attribute to `true`

  Specified by:
    `apply` in interface `IPropertiesModifier`
  Parameters:
    `propertySource` - `ICompositePropertySource` to be applied

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.